QGIS Application - Bug report #12974
"Select by location" does not give any warning whe using layers with different CRS
2015-06-16 02:54 AM - Olivier Dalang

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 21052
Description

Hi !

The "Select by location" tool does not work with layers with different CRS.

Currently, there's no warning message, the selection simply doesn't work (I didn't test, but it probably does the computation as if the CRS
was the same for the two layers).

Since QGIS allows on the fly reprojection, | think this limitation should not exist.

Best,

Olivier

History

#1 - 2015-06-17 06:53 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Subject changed from "Select by location" does not work with different CRS to "Select by location" does give any warning whe using layers with
different CRS

This is a long standing request, see #4564

Until implemented | think that the actual bug here is that no warning is issued (other tools do).

#2 - 2015-12-20 04:35 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Feedback to Closed

- Subject changed from "Select by location" does give any warning whe using layers with different CRS to "Select by location" does not give any warning
whe using layers with different CRS

We are on the path of getting rid of the "vector" menu tools and access them only through the Processing toolobox, where the user is warned when inputs
have different CRSs.

#3 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
